Get entries, workbooks and collections permissions
Returns permissions for the specified DataLens entries, workbooks and collections.
Request
POST
https://api.datalens.tech/rpc/getPermissionsBulk
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entryIds": [
"example"
],
"workbookIds": [
"example"
],
"collectionIds": [
"example"
]
}
|
Name |
Description |
|
collectionIds |
Type: string[] Identifiers of the collections to check permissions for. Min items: Max items: Example
|
|
entryIds |
Type: string[] Identifiers of the entries to check permissions for. Min items: Max items: Example
|
|
workbookIds |
Type: string[] Identifiers of the workbooks to check permissions for. Min items: Max items: Example
|
Responses
200 OK
Response
Body
application/json
{
"entries": {},
"workbooks": {},
"collections": {}
}
|
Name |
Description |
||||||||||||||||||||||||||||||
|
collections |
Type: object
Collection permissions or errors indexed by collection ID. Example
|
||||||||||||||||||||||||||||||
|
entries |
Type: object
Entry permissions or errors indexed by entry ID. Example
|
||||||||||||||||||||||||||||||
|
workbooks |
Type: object
Workbook permissions or errors indexed by workbook ID. Example
|
SharedEntryPermissions
|
Name |
Description |
|
copy |
Type: boolean Permission to copy. |
|
createEntryBinding |
Type: boolean Permission to create entry binding. |
|
createLimitedEntryBinding |
Type: boolean Permission to create limited entry binding. |
|
delete |
Type: boolean Permission to delete. |
|
limitedView |
Type: boolean Permission for limited viewing. |
|
listAccessBindings |
Type: boolean Permission to list access bindings. |
|
move |
Type: boolean Permission to move. |
|
update |
Type: boolean Permission to update. |
|
updateAccessBindings |
Type: boolean Permission to update access bindings. |
|
view |
Type: boolean Permission to view. |
Example
{
"listAccessBindings": true,
"updateAccessBindings": true,
"limitedView": true,
"view": true,
"update": true,
"copy": true,
"move": true,
"delete": true,
"createEntryBinding": true,
"createLimitedEntryBinding": true
}